# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

%global use_system_sqlite %((sqlite3 --version 2>/dev/null || echo 0.0.0) | awk -F. '{ ver = sprintf("%d%03d%03d", $1, $2, $3); print ver >= 3006000 ? 1 : 0 }')

Name:		perl-DBD-SQLite
Version:	1.35
Release:	1.%{__distinit}%{__distvers}
Summary:	Self Contained RDBMS in a DBI Driver
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/DBD-SQLite/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/DBD-SQLite-%{version}.tar.gz
Patch0:		perl-DBD-SQLite-bz543982.patch
Patch10:	perl-DBD-SQLite-1.35-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# if sqlite >= 3.6.0 then
#   perl-DBD-SQLite uses the system library
# else
#   perl-DBD-SQLite is self-contained (uses the sqlite local copy)
#
# system sqlite only became available from FC-3
%if %([ "%{__distinit}" != "fc" -o %{__distvers} -gt 2 ] && echo 1 || echo 0)
BuildRequires:	sqlite-devel
%endif
BuildRequires:	perl(DBI)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl(Perl::MinimumVersion) >= 1.20
BuildRequires:	perl(Test::CPAN::Meta) >= 0.12
BuildRequires:	perl(Test::MinimumVersion) >= 0.008
BuildRequires:	perl(Test::More) >= 0.42
BuildRequires:	perl(Test::Pod) >= 1.26
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't provide private perl objects
%{?perl_default_filter}

%description
SQLite is a public domain RDBMS database engine that you can find at
http://www.sqlite.org/.

%prep
%setup -q -n DBD-SQLite-%{version}

# Build with system SQLite
%if %{use_system_sqlite}
# Enable system sqlite
%patch0 -p1
# $(CC) -I. would find the bundled SQLite if these are present
rm -f sqlite3.c sqlite3.h sqlite3ext.h
%endif

# Recode docs as UTF8
%patch10 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/DBD/
%if ! %{use_system_sqlite}
%{perl_vendorarch}/auto/share/
%endif
%dir %{perl_vendorarch}/DBD/
%dir %{perl_vendorarch}/DBD/SQLite.pm
%dir %{perl_vendorarch}/DBD/SQLite/
%doc %{perl_vendorarch}/DBD/SQLite/Cookbook.pod
%{_mandir}/man3/DBD::SQLite.3pm*
%{_mandir}/man3/DBD::SQLite::Cookbook.3pm*

%changelog
* Tue Nov 29 2011 Paul Howarth <paul@city-fan.org> - 1.35-1
- Update to 1.35 (see Changes for details)
- Re-diff UTF-8 patch

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> - 1.33-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon May 30 2011 Paul Howarth <paul@city-fan.org> - 1.33-1
- Update to 1.33 (see Changes for details)
- Drop upstreamed patch for building with system SQLite
- Re-diff UTF-8 patch
- Nobody else likes macros for commands

* Fri Oct  1 2010 Paul Howarth <paul@city-fan.org> - 1.31-2
- Rebuild for gcc bug (#634757)

* Wed Sep 15 2010 Paul Howarth <paul@city-fan.org> - 1.31-1
- Update to 1.31 (see Changes for details)
- Update UTF-8 patch
- Remove bundled SQLite if we're building with system version
- Add patch to support building with a system SQLite that's not built with
  the ENABLE_FTS3_PARENTHESIS option

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.29-3
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  1 2010 Paul Howarth <paul@city-fan.org> - 1.29-2
- Fix dist tag for RHEL-6 Beta

* Mon Apr 12 2010 Paul Howarth <paul@city-fan.org> - 1.29-1
- Import from Fedora
- Update to 1.29
- Enable AUTOMATED_TESTING

* Mon Jan 11 2010 Marcela Mašláňová <mmaslano@redhat.com> - 1.27-3
- 543982 change Makefile.PL to compile with system sqlite

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.27-2
- Rebuild against perl 5.10.1

* Wed Nov 25 2009 Stepan Kasal <skasal@redhat.com> 1.27-1
- New upstream version

* Fri Sep 11 2009 Chris Weyl <cweyl@alumni.drew.edu> - 1.25-4
- Filtering errant private provides

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Stepan Kasal <skasal@redhat.com> - 1.25-2
- Rebuild against DBI 1.609

* Fri May 29 2009 Chris Weyl <cweyl@alumni.drew.edu> - 1.25-1
- 1.25 needed for DBIx::Class 0.08103
- Auto-update to 1.25 (by cpan-spec-update 0.01)
- Added a new br on perl(File::Spec) (version 0.82)
- Altered br on perl(Test::More) (0 => 0.42)
- Added a new br on perl(DBI) (version 1.57)

* Mon Apr 20 2009 Marcela Maslanova <mmaslano@redhat.com> - 1.23-1
- Update to the latest version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun  2 2008 Marcela Maslanova <mmaslano@redhat.com> - 1.14-8

* Wed Mar 19 2008 Chris Weyl <cweyl@alumni.drew.edu> - 1.14-7
- Reenable tests

* Tue Mar 18 2008 Chris Weyl <cweyl@alumni.drew.edu> - 1.14-6
- Apply sanity patches derived from RT#32100

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.14-5.1
- Rebuild for perl 5.10 (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.14-4.1
- Autorebuild for GCC 4.3

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.14-3.1
- Tests disabled, due to x86_64 failures

* Tue Jan 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.14-3
- Rebuild for new perl

* Wed Dec 19 2007 Steven Pritchard <steve@kspei.com> - 1.14-2
- Fix find option order
- Use fixperms macro instead of our own chmod incantation

* Mon Dec 10 2007 Robin Norwood <rnorwood@redhat.com> - 1.14-1
- Update to latest upstream version: 1.14
- Remove patch - no longer needed.

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.12-2.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Thu Sep 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-2
- Rebuild for FC6

* Tue Apr 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-1
- Update to 1.12

* Wed Apr  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.11-4
- Patch to build with system sqlite 3.3.x (#183530)
- Patch to avoid type information segv (#187873)

* Thu Mar  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.11-3
- DBD::SQLite fails to build with the current FC-5 sqlite version (3.3.3);
  see bugzilla entry #183530
- Forcing package rebuild with the included version of sqlite (3.2.7)

* Sat Feb 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.11-2
- Rebuild for FC5 (perl 5.8.8)

* Fri Dec  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.11-1
- Update to 1.11

* Fri Dec  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.10-1
- Update to 1.10

* Fri Jul 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.09-2
- Build requirement added: sqlite-devel
- Doc file added: Changes

* Fri Jul 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.09-1
- Update to 1.09
- This new version can use an external SQLite library (>= 3.1.3)

* Sun Jun 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-2
- Temporary maintainership

* Sat Jun 11 2005 Michael A. Peters <mpeters@mac.com> - 1.08-1.1
- Minor changes for initial cvs checkin (removed tabs, better url in
  url tag and description tag)

* Tue Apr 12 2005 Michael A. Peters <mpeters@mac.com> - 1.08-1
- Created initial spec file from Fedora spectemplate-perl.spec
